# SendTextMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send / SendTextMessage

# SendTextMessage

(common) `data class SendTextMessage : SendMessageRequest<ContentMessage<TextContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<TextContent>>, TextableSendMessageRequest<ContentMessage<TextContent>>, DisableWebPagePreview` (source)

### Constructors

(common)

#### <init>

`SendTextMessage(chatId: ChatIdentifier, text: String, parseMode: ParseMode? = null, disableWebPagePreview: Boolean? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### disableWebPagePreview

`val disableWebPagePreview: Boolean?`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### replyMarkup

`val replyMarkup: KeyboardMarkup?`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<ContentMessage<TextContent>>`

(common)

#### text

`val text: String`

### Functions

(common)

#### method

`fun method(): String`